#include <Servo.h>

Servo myservo;  // создать сервообъект для управления сервоприводом
// двенадцать сервообъектов могут быть созданы на большинстве плат
int pos = 0;    // переменная для хранения положения сервопривода
void setup() {
  myservo.attach(9);  // прикрепляет сервопривод на контакте 9 к объекту сервопривода
}
void loop() {
  delay(1000);
  for (pos = 0; pos <= 180; pos += 1) { // идет от 0 градусов до 180 градусов
    // с шагом 1 градус
    myservo.write(pos);    // сказать сервоприводу перейти в положение в переменной 'pos'
    delay(15);               // ждет 15 мс, пока сервопривод не достигнет положения
  }
  delay(1000);
  for (pos = 180; pos >= 0; pos -= 1) { // идет от 180 градусов до 0 градусов
    myservo.write(pos);      // сказать сервоприводу перейти в положение в переменной 'pos'
    delay(15);               // ждет 15 мс, пока сервопривод не достигнет положения
  }
}
